.NET Agent 6.24.0.0

Released on: 
Monday, August 26, 2019 - 14:30

Notes

This is a security-only release for the 6.x agents that support legacy frameworks (.NET version 4.5 and lower). If you are on .NET version 4.5 or higher, or if you are on .NET Core, use the 7.x or later agent versions.

Fixes

Resolves security issue where a manually constructed SQL stored procedure invocation may cause sensitive data to be captured in metric names. See Security Bulletin NR19-05.

Upgrading